Package de.tudresden.sumo.util

## Class CommandProcessor

- java.lang.Object
- - de.tudresden.sumo.util.Observable
  - - de.tudresden.sumo.util.Query
    - - de.tudresden.sumo.util.CommandProcessor

-     public class CommandProcessor
      extends Query

  Author:
    Mario Krumnow

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandProcessor​(Socket sock)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `do_close()` |
    `Object` | `do_job_get​(SumoCommand sc)` |
    `void` | `do_job_set​(SumoCommand sc)` |
    `void` | `do_setOrder​(int index)` |
    `void` | `do_SimulationStep​(double targetTime)` |
    `void` | `do_subscription​(Subscription cs)` |
    `static SumoObject` | `read​(int type, Storage s)` |
    `static SumoStage` | `readStage​(Storage content)` |
    `protected static String` | `verifyGetVarResponse​(Command resp, int commandID, int variable, String objectID)` |

    - ### Methods inherited from class de.tudresden.sumo.util.Query

      `doClose, doQuery, doQuerySingle, doSetOrder, doSimulationStep, fireAndForget, getOutStream, queryAndVerify, queryAndVerifySingle, verify, verify, verify`

    - ### Methods inherited from class de.tudresden.sumo.util.Observable

      `addObserver, notifyObservers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandProcessor

          public CommandProcessor​(Socket sock)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### do_job_set

          public void do_job_set​(SumoCommand sc)
                          throws IOException

      Throws:
        `IOException`

    - #### do_subscription

          public void do_subscription​(Subscription cs)
                               throws IOException

      Throws:
        `IOException`

    - #### do_SimulationStep

          public void do_SimulationStep​(double targetTime)
                                 throws IOException

      Throws:
        `IOException`

    - #### do_setOrder

          public void do_setOrder​(int index)
                           throws IOException

      Throws:
        `IOException`

    - #### do_close

          public void do_close()
                        throws IOException

      Throws:
        `IOException`

    - #### read

          public static SumoObject read​(int type,
                                        Storage s)

    - #### do_job_get

          public Object do_job_get​(SumoCommand sc)
                            throws IOException

      Throws:
        `IOException`

    - #### verifyGetVarResponse

          protected static String verifyGetVarResponse​(Command resp,
                                                       int commandID,
                                                       int variable,
                                                       String objectID)
                                                throws TraCIException.UnexpectedData

      Throws:
        `TraCIException.UnexpectedData`

    - #### readStage

          public static SumoStage readStage​(Storage content)